be.ehealth.businessconnector.medadmin.domain

## Class M4ACnfXmlProcessedMsgResponse

- java.lang.Object
- - be.ehealth.businessconnector.genericasync.domain.ProcessedMsgResponse<Object>
  - - be.ehealth.businessconnector.medadmin.domain.M4ACnfXmlProcessedMsgResponse

-     public class M4ACnfXmlProcessedMsgResponse
      extends ProcessedMsgResponse<Object>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `M4ACnfXmlProcessedMsgResponse(ProcessedMsgResponse processedMsgResponse)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<SingleNurseContractualCareRequest>` | `getSingleNurseContractualCareRequests()`
    `List<SinglePalliativeCareRequest>` | `getSinglePalliativeCareRequests()`
    `List<SingleSpecificTechnicalCareRequest>` | `getSingleSpecificTechnicalCareRequests()`

    - ### Methods inherited from class be.ehealth.businessconnector.genericasync.domain.ProcessedMsgResponse

      `getBusinessResponse, getMsgResponse, getRawDecryptedBlob, getSignatureVerificationResult, getSignedData, setBusinessResponse`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### M4ACnfXmlProcessedMsgResponse

          public M4ACnfXmlProcessedMsgResponse(ProcessedMsgResponse processedMsgResponse)

  - ### Method Detail

    - #### getSingleNurseContractualCareRequests

          public List<SingleNurseContractualCareRequest> getSingleNurseContractualCareRequests()

    - #### getSinglePalliativeCareRequests

          public List<SinglePalliativeCareRequest> getSinglePalliativeCareRequests()

    - #### getSingleSpecificTechnicalCareRequests

          public List<SingleSpecificTechnicalCareRequest> getSingleSpecificTechnicalCareRequests()

Connector Packaging PERSNURSE 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.